#!/usr/bin/env python
 ############################################################################
 #                                                                          #
 #                            SETUP.PY                                      #
 #                                                                          #
 #            Copyright (C) 2010-2014 Ada Core Technologies, Inc.           #
 #                                                                          #
 # This program is free software: you can redistribute it and/or modify     #
 # it under the terms of the GNU General Public License as published by     #
 # the Free Software Foundation, either version 3 of the License, or        #
 # (at your option) any later version.                                      #
 #                                                                          #
 # This program is distributed in the hope that it will be useful,          #
 # but WITHOUT ANY WARRANTY; without even the implied warranty of           #
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            #
 # GNU General Public License for more details.                             #
 #                                                                          #
 # You should have received a copy of the GNU General Public License        #
 # along with this program.  If not, see <http://www.gnu.org/licenses/>     #
 #                                                                          #
 ############################################################################

from distutils.core import setup

import glob

from gnatpython import __version__

from setup_helpers import (
    build_scripts_gnatpython, build_ext_gnatpython, get_extension_list)


setup(name='gnatpython',
      version=__version__,
      author="AdaCore",
      author_email="report@adacore.com",
      packages=['gnatpython', 'gnatpython.binarydata'],
      scripts=glob.glob('scripts/*'),
      cmdclass={'build_scripts': build_scripts_gnatpython(),
                'build_ext': build_ext_gnatpython()},
      ext_modules=get_extension_list())
